Summary: Murple's BSD Talk Daemon
Name: talkd
Version: 1.4.4
Release: 1
Copyright: BSD
Group: Networking
Source: sunsite.unc.edu:/pub/Linux/system/network/chat/talkd-1.4.4.tar.gz
Patch: talkd-1.4.4-config.patch
Conflicts: NetKit-B
Requires: wavplay
BuildRoot: /tmp/talkd-root
Packager: Timo Karjalainen <timok@iki.fi>

%description
Hack of the BSD in.talkd that blocks VT100 bombs (by Crypt
Keeper) and includes support for playing sound files to
notify users of incoming talk requests (by Craig Schenk).
Also searches utmp file for active tty to display talk
request to (by Daniel Barlowe). New: allows the talker to
leave a message mailed to the callee if he doesn't answer
or isn't logged (by David Faure).

%prep
%setup

%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{lib/talkd,man/man8,sbin}
install -m 755 -o 0 -g 0 in.talkd $RPM_BUILD_ROOT/usr/sbin
install -m 644 -o 0 -g 0 in.talkd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 644 -o 0 -g 0 talk.wav $RPM_BUILD_ROOT/usr/lib/talkd
ln -sf in.talkd $RPM_BUILD_ROOT/usr/sbin/in.ntalkd
ln -sf in.talkd.8 $RPM_BUILD_ROOT/usr/man/man8/in.ntalkd.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README talkd-1.4.4.lsm
/usr/lib/talkd/talk.wav
/usr/man/man8/in.ntalkd.8
/usr/man/man8/in.talkd.8
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd
